From 4e79215a96ed016821b402a01facb48a875b8f2b Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 12 Dec 2008 10:06:04 -0500
Subject: [PATCH] Disable video cards for arm architechture.

ARM boards don't contain video cards yet. No point building for them.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 mesa.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/mesa.spec b/mesa.spec
index 604c258..12f9dac 100644
--- a/mesa.spec
+++ b/mesa.spec
@@ -2,7 +2,7 @@
 # When bootstrapping an arch, omit the -demos subpackage.
 
 # S390 doesn't have video cards, so it's not much use building DRI there.
-%ifarch s390 s390x
+%ifarch s390 s390x %{arm}
 %define with_dri 0
 %define driver xlib
 %else
@@ -20,7 +20,7 @@
 Summary: Mesa graphics libraries
 Name: mesa
 Version: 7.5
-Release: 0.14%{?dist}
+Release: 0.14%{?dist}.fa1
 License: MIT
 Group: System Environment/Libraries
 URL: http://www.mesa3d.org
@@ -432,6 +432,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/mesa-demos-data
 
 %changelog
+* Sat Jun 13 2009 Jitesh Shah <jiteshs@marvell.com>
+- Disable video cards since arm boards don't have any yet
+
 * Tue May 05 2009 Dave Airlie <airlied@redhat.com> 7.5-0.14
 - radeon-rewrite.patch: fixes from upstream for rs690 + r200
 
-- 
1.5.5.6

